Как да: Изтеглете Инсталирайте FFMPEG на Windows 10 | 2020 г.

Имам сайт на Wordpress на сървър, посветен на Debian / Linux, с приставка Backupbuddy за автоматично създаване на резервни копия.

Приставката обаче дава грешка „Вашият сървър не поддържа ZIP от командния ред“.

Познанията ми за Linux командите са много ограничени, но успях да инсталирам zip с командата sudo apt-get install zip

Все пак получавам същото съобщение за грешка. В документацията на приставката се споменава, че проблемът може да бъде причинен и от деактивиран exec () или safe_mode - но exec не е деактивиран и safe_mode е изключен.

Някакви идеи какво може да причини това или как да го поправите? Единственото, за което се сетих, може ли да е причинено от грешни разрешения?

  • опитайте: "yum install zip" и ако все още не работи - преминете към потребителски root и опитайте отново
  • благодаря за коментара - това обаче не е проблемът, yum не работи и командата, в която използвах, дава резултат zip already installed...
  • Актуализирайте BackupBuddy до последната версия, тъй като имаше някои поправки по този проблем.

  • Backupbuddy казва да направите sudo apt-get install zip разархивирайте (във въпроса си не споменахте, че сте разархивирали инсталацията и сте помислили).

  • Въпреки че сте редактирали php.ini, уверете се, че тези правила се четат, създайте info.php със следния код и насочете браузъра към този файл.

  • Уверете се, че zip и unzip е в променливата на средата PATH

е работил за вас: Charles Robertson | Искате ли да се свържете с нас?